package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxMerchant;
import com.iformall.domain.po.WxProfitSharingReceiver;

import java.util.List;

public interface WxProfitSharingReceiverService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxProfitSharingReceiver> listAsPage(WxProfitSharingReceiver record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxProfitSharingReceiver getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxProfitSharingReceiver record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    WxProfitSharingReceiver findReceiver(WxMerchant merchant);

    ResultData addReceiver(WxMerchant merchant, WxProfitSharingReceiver receiver, List<WxProfitSharingReceiver> delList);

    ResultData delReceiver(WxProfitSharingReceiver receiver, Integer send);

    ResultData updateReceiver(WxMerchant merchant, WxProfitSharingReceiver receiver);

    void sendMsg(String phone, String account, String merchant, String time, Integer modelType, String tenantId);

}
